#if !defined(AFX_SENDONE_H__92BBCB73_314D_11D3_B2A6_002078154408__INCLUDED_)
#define AFX_SENDONE_H__92BBCB73_314D_11D3_B2A6_002078154408__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SendOne.h : header file
//

#include <UserNetwork.h>
#include <ElapsedTime.h>

/////////////////////////////////////////////////////////////////////////////
// CSendOne dialog

class CSendOne : public CPropertyPage, CElapsedTime
{
	DECLARE_DYNCREATE(CSendOne)

// Construction
public:
	CSendOne();
	~CSendOne();

// Dialog Data
	//{{AFX_DATA(CSendOne)
	enum { IDD = IDD_DIALOG_SEND_ONE };
	CSliderCtrl	m_ctrlSlideTurnRate;
	CSliderCtrl	m_ctrlSlideAltitude;
	CSliderCtrl	m_ctrlSlideAirspeed;
	CButton	m_ctrlButtonStop;
	CButton	m_ctrlButtonStart;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSendOne)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSendOne)
	afx_msg void OnCheckSendOneStart();
	afx_msg void OnCheckSendOneStop();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void PromoSend();
	void UpdateDynamics(float dt);
	void ChangeTurnRate(float fValue);
	void InitAircraft();
	Aircraft f18;
	int	bNewFrame;
	float fTurnRate;
	float fAirspeed;
	float fAltitude;
	float fSpread;
	DWORD dwCurrentTimeMs;
	DWORD dwLastTimeMs;
	DWORD dwElapsedTimeMs;

	virtual void WorkFunction(UINT uiTimerID);
	UINT m_uiTimerIDDynamics;
	UINT m_uiTimerIDSend;
	UINT m_uiTimerIDElapsedDynamics;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SENDONE_H__92BBCB73_314D_11D3_B2A6_002078154408__INCLUDED_)
